LibreOffice LibreOffice 4.1 SDK C/C++ API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | Protected Member Functions | List of all members
cppu::IEventNotificationHook Class Referenceabstract

An interface to extend event notification actions. More...

`#include <propshlp.hxx>`

## Public Member Functions
virtual void | fireEvents (sal_Int32 *pnHandles, sal_Int32 nCount, sal_Bool bVetoable, bool bIgnoreRuntimeExceptionsWhileFiring)=0
| Method to be called by OPropertySetHelper::fire. More...

## Protected Member Functions
| ~IEventNotificationHook ()

## Detailed Description

An interface to extend event notification actions.

## Constructor & Destructor Documentation

cppu::IEventNotificationHook::~IEventNotificationHook | ( |  | ) |
| inline protected

## Member Function Documentation

virtual void cppu::IEventNotificationHook::fireEvents | ( | sal_Int32 * | pnHandles,
|  | sal_Int32 | nCount,
|  | sal_Bool | bVetoable,
|  | bool | bIgnoreRuntimeExceptionsWhileFiring
| ) |  |
| pure virtual

Method to be called by OPropertySetHelper::fire.

Parameters

  bIgnoreRuntimeExceptionsWhileFiring | indicates whether occuring RuntimeExceptions shall be ignored when firing notifications
  pnHandles | the id's of the properties that changed.
  nCount | the number of elements in the arrays pnHandles, pNewValues and pOldValues.
  bVetoable | true means fire to VetoableChangeListener, false means fire to XPropertyChangedListener and XMultiPropertyChangedListener.
  bIgnoreRuntimeExceptionsWhileFiring | indicates whether occurring RuntimeExceptions will be ignored when firing notifications (vetoableChange(), propertyChange()) to listeners. PropertyVetoExceptions may still be thrown. This flag is useful in an inter-process scenario when remote bridges may break down (firing DisposedExceptions).

See Also
  OPropertySetHelper::fire

The documentation for this class was generated from the following file:

- cppuhelper/propshlp.hxx